### Constructor

# Gtk NumericSorternew

#### Declaration [src]

    GtkNumericSorter*
    gtk_numeric_sorter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new numeric sorter using the given `expression`.

Smaller numbers will be sorted first. You can call `gtk_numeric_sorter_set_sort_order()` to change this.

#### Parameters

`expression`

  Type: `GtkExpression`

  The expression to evaluate.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkNumericSorter`

A new `GtkNumericSorter`

The caller of the function takes ownership of the data, and is responsible for freeing it.